#![feature(proc_macro_span)]

// use proc_macro2::Span;

use proc_macro2::TokenStream;

#[proc_macro]
pub fn macro_for_testing(src0: proc_macro::TokenStream) -> proc_macro::TokenStream {
    let src: TokenStream = src0.into();
    for tt in src {
        println!("SPAN START: {:?} END: {:?}",
                 tt.span().start(),
                 tt.span().end());
    }
    TokenStream::new().into()
}
